set_status
curl --request PATCH \
--url https://rest.hotfix.jobs/v1/employer/applications/{application_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"status": "<string>",
"archived": true
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({status: '<string>', archived: true})
};
fetch('https://rest.hotfix.jobs/v1/employer/applications/{application_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://rest.hotfix.jobs/v1/employer/applications/{application_id}"
payload = {
"status": "<string>",
"archived": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": "2c8f0a1e-4b3d-4e91-9c7a-1f6b8d2e0a11",
"applicant_name": "Jordan Lee",
"applicant_email": "jordan@example.com",
"job_id": "9a1b2c3d-4e5f-6789-abcd-ef0123456789",
"job_title": "Staff engineer",
"status": "interviewing",
"knockout": false,
"applied_at": "2026-09-20T18:22:01+00:00",
"archived_at": null,
"has_resume": true,
"answers": {
"Why this role?": "I ship."
},
"also_applied": []
}Applications
set_status
Move one application, or archive it. Does not send email. MCP tool: set_status.
PATCH
/
v1
/
employer
/
applications
/
{application_id}
set_status
curl --request PATCH \
--url https://rest.hotfix.jobs/v1/employer/applications/{application_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"status": "<string>",
"archived": true
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({status: '<string>', archived: true})
};
fetch('https://rest.hotfix.jobs/v1/employer/applications/{application_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://rest.hotfix.jobs/v1/employer/applications/{application_id}"
payload = {
"status": "<string>",
"archived": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": "2c8f0a1e-4b3d-4e91-9c7a-1f6b8d2e0a11",
"applicant_name": "Jordan Lee",
"applicant_email": "jordan@example.com",
"job_id": "9a1b2c3d-4e5f-6789-abcd-ef0123456789",
"job_title": "Staff engineer",
"status": "interviewing",
"knockout": false,
"applied_at": "2026-09-20T18:22:01+00:00",
"archived_at": null,
"has_resume": true,
"answers": {
"Why this role?": "I ship."
},
"also_applied": []
}Authorizations
Employer session JWT from Better Auth.
Path Parameters
Application UUID.
Body
application/json
Response
200 - application/json
Success
The response is of type object.